difftreelog
fix exit on script error
in: master
3 files changed
tests/update_apps.shdiffbeforeafterboth--- a/tests/update_apps.sh
+++ b/tests/update_apps.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env sh
+set -eux
+
./update_types.sh
if [ ! -d polkadot-apps ]; then
@@ -8,4 +10,4 @@
pushd polkadot-apps
yarn link ../unique-types-js
-popd
\ No newline at end of file
+popd
tests/update_apps_start.shdiffbeforeafterboth--- a/tests/update_apps_start.sh
+++ b/tests/update_apps_start.sh
@@ -1,7 +1,9 @@
#!/usr/bin/env sh
+set -eux
+
./update_apps.sh
pushd polkadot-apps
yarn start
-popd
\ No newline at end of file
+popd
tests/update_types.shdiffbeforeafterboth1#!/usr/bin/env sh23yarn polkadot-types45if [ ! -d unique-types-js ]; then6 git clone git@github.com:UniqueNetwork/unique-types-js.git7fi89rsync -ar --exclude .gitignore src/interfaces/ unique-types-js10for file in unique-types-js/augment-* unique-types-js/**/types.ts unique-types-js/registry.ts; do11 sed -i '1s;^;//@ts-nocheck\n;' $file12done1314pushd unique-types-js15git add .16git commit -m "chore: regenerate types"17popd1#!/usr/bin/env sh23set -eux45yarn polkadot-types67if [ ! -d unique-types-js ]; then8 git clone git@github.com:UniqueNetwork/unique-types-js.git9fi1011rsync -ar --exclude .gitignore src/interfaces/ unique-types-js12for file in unique-types-js/augment-* unique-types-js/**/types.ts unique-types-js/registry.ts; do13 sed -i '1s;^;//@ts-nocheck\n;' $file14done1516pushd unique-types-js17git add .18git commit -m "chore: regenerate types"19popd